Project APIConfigurations
Replace configuration
Full-replace update of a configuration. All provided fields overwrite the existing values. Dispatches to connected SDKs if this is the primary configuration.
Authorization
personalAccessTokenAuth AuthorizationBearer <token>
Personal access token (prefixed gb_pat_). Acts on behalf of its owner and can never exceed the owner's own permissions. Send it as Authorization: Bearer <token>.
In: header
Path Parameters
applicationId*number
configurationId*number
Header Parameters
environment_id*number
Gamebeast environment ID
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X PUT "https://example.com/application/0/v2/configuration/0" \ -H "environment_id: 0" \ -H "Content-Type: application/json" \ -d '{}'{ "id": 0, "applicationId": 0, "environmentId": 0, "name": "string", "alias": "string", "description": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "deletedAt": "2019-08-24T14:15:22Z", "configuration": null, "isPrivate": true, "privateKeys": [ "string" ], "comments": { "property1": "string", "property2": "string" }, "property1": null, "property2": null}